select_args Struct Reference

## Data Fields

VALUE | read
VALUE | write
VALUE | except
struct timeval * | timeout
rb_fdset_t | fdsets [4]
union {
int fd
int error
} | as
rb_fdset_t * | read
rb_fdset_t * | write
rb_fdset_t * | except
struct timeval * | tv

## Detailed Description

Definition at line 7653 of file io.c.

## Field Documentation

union { ... } select_args::as

Referenced by rb_wait_for_single_fd(), and select_single().

int select_args::error

Definition at line 2907 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t* select_args::except

Definition at line 2911 of file thread.c.

VALUE select_args::except

Definition at line 7654 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

int select_args::fd

Definition at line 2906 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t select_args::fdsets[4]

Definition at line 7656 of file io.c.

Referenced by rb_f_select(), select_call(), and select_end().

rb_fdset_t* select_args::read

Definition at line 2909 of file thread.c.

VALUE select_args::read

Definition at line 7654 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

struct timeval* select_args::timeout

Definition at line 7655 of file io.c.

Referenced by rb_f_select(), and select_call().

struct timeval* select_args::tv

Definition at line 2912 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t* select_args::write

Definition at line 2910 of file thread.c.

VALUE select_args::write

Definition at line 7654 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

The documentation for this struct was generated from the following files:

- io.c
- thread.c